Vraag pip installeert Python-modules in python 2.7 in plaats van 3.4


Ik probeer pip te gebruiken om python-pakketten te downloaden en te installeren. Ik gebruik Python 3.4 op Ubuntu 14.04

Ik probeerde het sudo pip install paperclip, bijvoorbeeld.

Het wordt geïnstalleerd op /usr/bin/lib/python2.7/dist-packages

Ik zou het willen laten installeren /usr/bin/lib/python3.4/dist-packages

Begeleiding wordt op prijs gesteld


2
2017-07-25 06:04


oorsprong


pip wijst waarschijnlijk naar pip27 of iets dergelijks, is er geen pip3 of pip34 commando? - mgor


antwoorden:


Installeer Pip voor Python3

sudo apt-get install python3-pip

En gebruik het dan om pakketten in Python3 te installeren

sudo pip3 install paperclip

4
2017-07-25 09:24





Installeer pip voor python3 door te lopen

sudo apt install python3-pip

En gebruik het dan voor het installeren van het vereiste pakket.

pip3 install package_name

Dit werkte voor mij.


1
2017-11-23 05:38





Heb wat aanvullend onderzoek gedaan en setuptools geïnstalleerd en easy_install op de verpakking uitgevoerd, loste het probleem voor mij op.


0
2017-07-25 06:36